Patches for aports can be sent to this list

5

[alpine-aports] [PATCH 1/6] testing/i3status: add doc subpackage

Sören Tempel
Details
Message ID
<1439567689-28497-1-git-send-email-soeren+git@soeren-tempel.net>
Sender timestamp
1439567684
DKIM signature
missing
Download raw message
Patch: +3 -2
---
 testing/i3status/APKBUILD | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/testing/i3status/APKBUILD b/testing/i3status/APKBUILD
index 9bba364..a889f52 100644
--- a/testing/i3status/APKBUILD
+++ b/testing/i3status/APKBUILD
@@ -2,7 +2,7 @@
 # Maintainer:
 pkgname=i3status
 pkgver=2.9
-pkgrel=0
+pkgrel=1
 pkgdesc="Generates status bar to use with i3bar, dzen2 or xmobar"
 url="http://i3.zekjur.net/i3status/"
 arch="all"
@@ -11,10 +11,11 @@ depends=""
 depends_dev="wireless-tools-dev alsa-lib-dev confuse-dev yajl-dev"
 makedepends="$depends_dev asciidoc linux-headers"
 install=""
-subpackages=""
+subpackages="$pkgname-doc"
 source="http://i3wm.org/i3status/${pkgname}-${pkgver}.tar.bz2
 	musl-fix.patch
 	"
+
 _builddir="$srcdir"/${pkgname}-${pkgver}
 prepare() {
 	local i
-- 
2.5.0



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---

[alpine-aports] [PATCH 2/6] main/setxkbmap: add doc subpackage

Sören Tempel
Details
Message ID
<1439567689-28497-2-git-send-email-soeren+git@soeren-tempel.net>
In-Reply-To
<1439567689-28497-1-git-send-email-soeren+git@soeren-tempel.net> (view parent)
Sender timestamp
1439567685
DKIM signature
missing
Download raw message
Patch: +4 -2
---
 main/setxkbmap/APKBUILD | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

diff --git a/main/setxkbmap/APKBUILD b/main/setxkbmap/APKBUILD
index cb0a36e..f07e1d5 100644
--- a/main/setxkbmap/APKBUILD
+++ b/main/setxkbmap/APKBUILD
@@ -1,13 +1,14 @@
 # Maintainer: Natanael Copa <ncopa@alpinelinux.org>
 pkgname=setxkbmap
 pkgver=1.3.0
-pkgrel=0
+pkgrel=1
 pkgdesc="set the keyboard using the X Keyboard Extension"
 url="http://xorg.freedesktop.org/"
 arch="all"
 license="custom"
-depends=
+depends=""
 makedepends="libxkbfile-dev"
+subpackages="$pkgname-doc"
 source="http://xorg.freedesktop.org/releases/individual/app/$pkgname-$pkgver.tar.bz2"
 
 _builddir="$srcdir/$pkgname-$pkgver"
@@ -30,6 +31,7 @@ package() {
 	cd "$_builddir"
 	make DESTDIR=""$pkgdir"" install || return 1
 }
+
 md5sums="1001771344608e120e943a396317c33a  setxkbmap-1.3.0.tar.bz2"
 sha256sums="3d305c9d1f38224169b2e501ef0665cc3ab52d4dbc2b9a60c9dbb047f77ddec6  setxkbmap-1.3.0.tar.bz2"
 sha512sums="d4843485f44a9204d1aa8bf16b3ad661747be119b0b5f38ced74dc35773519765af07fd290ab0265766de6206138e085a775bfc6edae6a232f2da9c260c0b581  setxkbmap-1.3.0.tar.bz2"
-- 
2.5.0



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---

[alpine-aports] [PATCH 3/6] main/enca: rebuild to compress man pages

Sören Tempel
Details
Message ID
<1439567689-28497-3-git-send-email-soeren+git@soeren-tempel.net>
In-Reply-To
<1439567689-28497-1-git-send-email-soeren+git@soeren-tempel.net> (view parent)
Sender timestamp
1439567686
DKIM signature
missing
Download raw message
Patch: +4 -10
---
 main/enca/APKBUILD | 14 ++++----------
 1 file changed, 4 insertions(+), 10 deletions(-)

diff --git a/main/enca/APKBUILD b/main/enca/APKBUILD
index 864bd73..09e74f0 100644
--- a/main/enca/APKBUILD
+++ b/main/enca/APKBUILD
@@ -2,24 +2,18 @@
 # Maintainer: Natanael Copa <ncopa@alpinelinux.org>
 pkgname=enca
 pkgver=1.16
-pkgrel=0
+pkgrel=1
 pkgdesc="Charset analyser and converter"
 url="http://freshmeat.net/projects/enca/"
 arch="all"
 license="GPL"
-depends=
-makedepends=
-install=
+depends=""
+makedepends=""
+install=""
 subpackages="$pkgname-dev $pkgname-doc"
 source="http://dl.cihar.com/${pkgname}/${pkgname}-${pkgver}.tar.xz"
 
 _builddir="$srcdir"/$pkgname-$pkgver
-
-prepare() {
-	cd "$_builddir"
-	# apply patches here
-}
-
 build() {
 	cd "$_builddir"
 	./configure \
-- 
2.5.0



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---

[alpine-aports] [PATCH 4/6] main/libxv: rebuild to compress man pages

Sören Tempel
Details
Message ID
<1439567689-28497-4-git-send-email-soeren+git@soeren-tempel.net>
In-Reply-To
<1439567689-28497-1-git-send-email-soeren+git@soeren-tempel.net> (view parent)
Sender timestamp
1439567687
DKIM signature
missing
Download raw message
Patch: +7 -4
---
 main/libxv/APKBUILD | 11 +++++++----
 1 file changed, 7 insertions(+), 4 deletions(-)

diff --git a/main/libxv/APKBUILD b/main/libxv/APKBUILD
index 4a05c15..7b42e7d 100644
--- a/main/libxv/APKBUILD
+++ b/main/libxv/APKBUILD
@@ -1,24 +1,26 @@
 # Maintainer: Natanael Copa <ncopa@alpinelinux.org>
 pkgname=libxv
 pkgver=1.0.10
-pkgrel=0
+pkgrel=1
 pkgdesc="X11 Video extension library"
 url="http://xorg.freedesktop.org/"
 arch="all"
 license="custom"
-subpackages="$pkgname-dev $pkgname-doc"
-depends=
+depends=""
 depends_dev="xproto videoproto libx11-dev libxext-dev"
 makedepends="$depends_dev"
+subpackages="$pkgname-dev $pkgname-doc"
 source="http://xorg.freedesktop.org/releases/individual/lib/libXv-$pkgver.tar.bz2
 	"
 
 _builddir="$srcdir"/libXv-$pkgver
 prepare() {
 	cd "$_builddir"
+
+	local i=
 	for i in $source; do
 		case $i in
-		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1 ;;
 		esac
 	done
 }
@@ -39,6 +41,7 @@ package() {
 	rm "$pkgdir"/usr/lib/*.la || return 1
 	install -D -m644 COPYING "$pkgdir"/usr/share/licenses/$pkgname/COPYING
 }
+
 md5sums="e0af49d7d758b990e6fef629722d4aca  libXv-1.0.10.tar.bz2"
 sha256sums="55fe92f8686ce8612e2c1bfaf58c057715534419da700bda8d517b1d97914525  libXv-1.0.10.tar.bz2"
 sha512sums="3c9642006dbc7a74f91263aa3a94711a95ee436b03d97ef51fce2bc2f602c25589606e1fcb58287ea0efebb3b9dbe7ef5fcb94e11ad3ec6be7830947a4cefe03  libXv-1.0.10.tar.bz2"
-- 
2.5.0



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---

[alpine-aports] [PATCH 5/6] main/popt: rebuild to compress man pages

Sören Tempel
Details
Message ID
<1439567689-28497-5-git-send-email-soeren+git@soeren-tempel.net>
In-Reply-To
<1439567689-28497-1-git-send-email-soeren+git@soeren-tempel.net> (view parent)
Sender timestamp
1439567688
DKIM signature
missing
Download raw message
Patch: +4 -1
---
 main/popt/APKBUILD | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

diff --git a/main/popt/APKBUILD b/main/popt/APKBUILD
index 2fc7914..e40b73f 100644
--- a/main/popt/APKBUILD
+++ b/main/popt/APKBUILD
@@ -1,7 +1,7 @@
 # Maintainer: Natanael Copa <ncopa@alpinelinux.org>
 pkgname=popt
 pkgver=1.16
-pkgrel=5
+pkgrel=6
 pkgdesc="A commandline option parser"
 url="http://rpm5.org"
 arch="all"
@@ -31,7 +31,10 @@ build() {
 package() {
 	cd "$srcdir"/$pkgname-$pkgver
 	make DESTDIR=$pkgdir install || return 1
+	install -Dm644 COPYING "$pkgdir"/usr/share/licenses/$pkgname/COPYING
 	rm -f "$pkgdir"/lib/*.la
 }
 
 md5sums="3743beefa3dd6247a73f8f7a32c14c33  popt-1.16.tar.gz"
+sha256sums="e728ed296fe9f069a0e005003c3d6b2dde3d9cad453422a10d6558616d304cc8  popt-1.16.tar.gz"
+sha512sums="bae2dd4e5d682ef023fdc77ae60c4aad01a3a576d45af9d78d22490c11e410e60edda37ede171920746d4ae0d5de3c060d15cecfd41ba75b727a811be828d694  popt-1.16.tar.gz"
-- 
2.5.0



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---

[alpine-aports] [PATCH 6/6] main/libao: rebuild to compress man pages

Sören Tempel
Details
Message ID
<1439567689-28497-6-git-send-email-soeren+git@soeren-tempel.net>
In-Reply-To
<1439567689-28497-1-git-send-email-soeren+git@soeren-tempel.net> (view parent)
Sender timestamp
1439567689
DKIM signature
missing
Download raw message
Patch: +3 -3
---
 main/libao/APKBUILD | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/main/libao/APKBUILD b/main/libao/APKBUILD
index d77d430..dc04662 100644
--- a/main/libao/APKBUILD
+++ b/main/libao/APKBUILD
@@ -1,13 +1,13 @@
 # Maintainer: Natanael Copa <ncopa@alpinelinux.org>
 pkgname=libao
 pkgver=1.2.0
-pkgrel=0
+pkgrel=1
 pkgdesc="Cross-platform audio output library and plugins"
 url="http://www.xiph.org/ao"
 arch="all"
 license="GPL"
 subpackages="$pkgname-dev $pkgname-doc"
-depends=
+depends=""
 makedepends="alsa-lib-dev"
 source="http://downloads.xiph.org/releases/ao/$pkgname-$pkgver.tar.gz"
 
@@ -31,7 +31,7 @@ build () {
 
 package() {
 	cd "$_builddir"
-	make DESTDIR="$pkgdir" install
+	make DESTDIR="$pkgdir" install || return 1
 	rm "$pkgdir"/usr/lib/*.la \
 		"$pkgdir"/usr/lib/ao/plugins*/*.la
 }
-- 
2.5.0



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---